| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
message.php File Reference

## Functions
| send_message ($uid=0, $recipient='', $body='', $subject='', $replyto='')
| private_messages_list ($uid, $mailbox= '', $start=0, $numitems=0)
| private_messages_fetch_message ($channel_id, $messageitem_id, $updateseen=false)
| private_messages_drop ($channel_id, $messageitem_id, $drop_conversation=false)
| private_messages_fetch_conversation ($channel_id, $messageitem_id, $updateseen=false)

## Function Documentation

private_messages_drop | ( |  | $channel_id,
|  |  | $messageitem_id,
|  |  | $drop_conversation = `false`
| ) |  |

Referenced by message_content().

private_messages_fetch_conversation | ( |  | $channel_id,
|  |  | $messageitem_id,
|  |  | $updateseen = `false`
| ) |  |

Referenced by message_content().

private_messages_fetch_message | ( |  | $channel_id,
|  |  | $messageitem_id,
|  |  | $updateseen = `false`
| ) |  |

private_messages_list | ( |  | $uid,
|  |  | $mailbox = `''`,
|  |  | $start = `0`,
|  |  | $numitems = `0`
| ) |  |

Referenced by message_content().

send_message | ( |  | $uid = `0`,
|  |  | $recipient = `''`,
|  |  | $body = `''`,
|  |  | $subject = `''`,
|  |  | $replyto = `''`
| ) |  |

When a photo was uploaded into the message using the (profile wall) ajax uploader, The permissions are initially set to disallow anybody but the owner from seeing it. This is because the permissions may not yet have been set for the post. If it's private, the photo permissions should be set appropriately. But we didn't know the final permissions on the post until now. So now we'll look for links of uploaded messages that are in the post and set them to the same permissions as the post itself.

Referenced by api_direct_messages_new(), and message_post().